From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinx-jinja/
Date: Tue, 16 May 2017 11:45:04 +0000 (UTC) [thread overview]
Message-ID: <1494935089.c2d7ec3ce5e8fbcc463665eb876d079080388ece.mrueg@gentoo> (raw)
commit: c2d7ec3ce5e8fbcc463665eb876d079080388ece
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue May 16 11:44:49 2017 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue May 16 11:44:49 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2d7ec3c
dev-python/sphinx-jinja: Add python3_6, fix python3, add tests
Package-Manager: Portage-2.3.5, Repoman-2.3.2
dev-python/sphinx-jinja/sphinx-jinja-0.2.1.ebuild | 20 ++++++++++++++++----
1 file changed, 16 insertions(+), 4 deletions(-)
diff --git a/dev-python/sphinx-jinja/sphinx-jinja-0.2.1.ebuild b/dev-python/sphinx-jinja/sphinx-jinja-0.2.1.ebuild
index 2acd54612a6..9c388a00c4c 100644
--- a/dev-python/sphinx-jinja/sphinx-jinja-0.2.1.ebuild
+++ b/dev-python/sphinx-jinja/sphinx-jinja-0.2.1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-PYTHON_COMPAT=( python2_7 python3_{4,5} )
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit distutils-r1
@@ -13,11 +13,23 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
-IUSE=""
+IUSE="test"
-DEPEND="
+RDEPEND="
dev-python/pbr[${PYTHON_USEDEP}]
>=dev-python/sphinx-1.0[${PYTHON_USEDEP}]
"
-RDEPEND="${DEPEND}"
+DEPEND="${RDEPEND}
+ test? ( dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/sphinx-testing[${PYTHON_USEDEP}] )"
+
+python_prepare() {
+ if python_is_python3; then
+ sed -i -e "s/import urllib/import urllib.request as urllib/" sphinxcontrib/jinja.py || die
+ fi
+}
+
+python_test() {
+ nosetests || die
+}
next reply other threads:[~2017-05-16 11:45 UTC|newest]
Thread overview: 16+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-05-16 11:45 Manuel Rüger [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-01-03 17:49 [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinx-jinja/ Arthur Zamarin
2021-12-22 2:15 Sam James
2021-12-21 6:42 Arthur Zamarin
2021-10-17 9:41 Michał Górny
2021-09-03 8:17 Arthur Zamarin
2021-09-03 8:17 Arthur Zamarin
2021-05-23 13:41 Michał Górny
2020-08-14 23:22 Andreas Sturmlechner
2020-04-26 12:51 Michał Górny
2020-03-29 9:16 Michał Górny
2020-03-29 9:16 Michał Górny
2020-02-06 6:18 Michał Górny
2018-01-19 22:55 Brian Dolbec
2017-04-07 14:14 Michał Górny
2017-02-10 21:52 Brian Dolbec
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1494935089.c2d7ec3ce5e8fbcc463665eb876d079080388ece.mrueg@gentoo \
--to=mrueg@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox